Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime
Class InvokerInvocationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  groovy.lang.GroovyRuntimeException
                      org.codehaus.groovy.runtime.InvokerInvocationException

All Implemented Interfaces:
  Serializable

    public class InvokerInvocationException

extends GroovyRuntimeException

An exception thrown if a method is called and an exception occurred

Version:
  $Revision: 8867 $
Author:
  James Strachan
See Also:
  Serialized Form

Constructor Summary
`InvokerInvocationException(InvocationTargetException e)`
`InvokerInvocationException(Throwable cause)`

Method Summary
`String` | `getMessage()`

Methods inherited from class groovy.lang.GroovyRuntimeException
`getLocationText, getMessageWithoutLocationText, getModule, getNode, setModule`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvokerInvocationException

    public InvokerInvocationException(InvocationTargetException e)

### InvokerInvocationException

    public InvokerInvocationException(Throwable cause)

Method Detail

### getMessage

    public String getMessage()

  Overrides:
    `getMessage` in class `GroovyRuntimeException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2008 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD